Skip to Content
SeyloDocs
API referenceCron jobs

List cron runs

GET
/api/v1/cron.runs

Lists runs of a service's cron jobs newest first, optionally for one job. Page with the nextCursor of the previous call.

Needs services.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
cronJobId?string

Panel-issued id.

Match^[a-z0-9]{16}$
limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 64

Response Body

Success.

application/json
  1. response
runs*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://example.com/api/v1/cron.runs?serviceId=string'
Example Response
{  "runs": [    {      "id": "string",      "cronJobId": "string",      "serviceId": "string",      "nodeId": "string",      "result": "running",      "manual": true,      "exitCode": 0,      "startedAt": "2019-08-24T14:15:22Z",      "finishedAt": "2019-08-24T14:15:22Z",      "durationMs": 0    }  ],  "nextCursor": "string"}